ServerEvents.recipes(event => {
    event.remove({ output: 'torchmaster:megatorch' })
    event.shaped(
        Item.of('torchmaster:megatorch'),
        [
            'AAA',
            'BCB',
            'DCD'
        ],
        {
            A: 'minecraft:coal_block',
            B: 'minecraft:diamond_block',
            C: '#minecraft:logs_that_burn',
            D: '#forge:storage_blocks/rose_gold'
        }
    )
    event.remove({ output: 'torchmaster:feral_flare_lantern' })
    event.shaped(
        Item.of('torchmaster:feral_flare_lantern'),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: '#forge:ingots/rose_gold',
            B: '#c:glass_blocks',
            C: 'immersiveengineering:electric_lantern'
        }
    )
})